import { html as g } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as c } from "./PieIconComponent.js";
import { safeCustomElement as n } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, m = Object.getOwnPropertyDescriptor, a = (s, e, h, p) => {
  for (var t = p > 1 ? void 0 : p ? m(e, h) : e, o = s.length - 1, i; o >= 0; o--)
    (i = s[o]) && (t = (p ? i(e, h, t) : i(t)) || t);
  return p && t && v(e, h, t), t;
};
let r = class extends c {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--laptopHighlightLarge", this.class = "c-pieIcon c-pieIcon--laptopHighlightLarge", this.name = "IconLaptopHighlightLarge";
  }
  render() {
    return g`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--laptopHighlightLarge"><path d="m21.346 8.125 1.558-3.106-1.558-.788-1.942 3.876.035.018h1.907Z"></path><path d="M16.875 2.875h-1.75v5.25h1.75v-5.25Z"></path><path d="m12.561 8.125.035-.018-1.942-3.876-1.558.788 1.549 3.106h1.916Z"></path><path d="M25.625 22.125V12.5A2.625 2.625 0 0 0 23 9.875H9A2.625 2.625 0 0 0 6.375 12.5v9.625H3.75v3.5a2.625 2.625 0 0 0 2.625 2.625h19.25a2.625 2.625 0 0 0 2.625-2.625v-3.5h-2.625ZM8.125 12.5A.875.875 0 0 1 9 11.625h14a.875.875 0 0 1 .875.875v9.625H8.125V12.5ZM26.5 25.625a.875.875 0 0 1-.875.875H6.375a.875.875 0 0 1-.875-.875v-1.75h7.875v.875h5.25v-.875H26.5v1.75Z"></path></svg>`;
  }
};
a([
  l({ type: String, reflect: !0 })
], r.prototype, "size", 2);
a([
  l({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = a([
  n("icon-laptop-highlight-large")
], r);
export {
  r as IconLaptopHighlightLarge
};
